WordPress.org

Support

Support » Plugins and Hacks » [Resolved] BPS Breaks when trying to post

[Resolved] BPS Breaks when trying to post

  • Hi – Firstly, awesome plugin.

    Since I installed the latest update (automatic notification of update from my Admin panel), everything works fine (as it did before), except as soon as I try to create a new Post, WP puts an error in the header of the Admin shouting that BPS is now inactive etc.

    Once I sort BPS out by creating the BPS files etc via the interface, everything is cool again (except when I try to create a new post).

    I’ve also noticed it when filtering my posts by category.

    Weird – it never used to do this – only since the latest upgrade to the most recent WordPress and BPS plugin.

    http://wordpress.org/extend/plugins/bulletproof-security/

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Author AITpro

    @aitpro

    Yes there was an issue with earlier versions of BPS and WP 3.5. This was fixed in BPS .47.7. Please click the AutoMagic buttons and then activate root and wp-admin BulletProof Modes again.

    Plugin Author AITpro

    @aitpro

    Did clicking that AutoMagic buttons and activating Root folder BulletProof Mode solve the problem?

    Plugin Author AITpro

    @aitpro

    What is the status?

    Hi – well the magic buttons work (they build something) but as soon as I try to create a post the error occurs again. So when the error occurred, I tried the magic buttons, but the error didn’t go away unless I built the files by selecting all four options manually.

    I tried it a second time just to make sure and the same problem.

    So I guess the status is it’s still the same. I’m using plugin version 477 in the latest version of WP.

    Thanks for your helps so far.

    Plugin Author AITpro

    @aitpro

    Try deactivating all of your plugins except for BPS and activating BulletProof Modes.

    Plugin Author AITpro

    @aitpro

    What is the latest status? Thanks.

    Plugin Author AITpro

    @aitpro

    What is the latest status? Thanks.

    Plugin Author AITpro

    @aitpro

    Resolved

    Hi – been away with work so not had a chance to test your answer.

    So today I installed the latest version of the BPS plugin. I don’t want to deactive my other plugins as I may lose some vital settings on some.

    However, even with the latest update of BPS, I still see the error everytime I want to write a new post. I don’t see the error when editing an existing post, just usually writing a new one.

    So, this error has occured for the past two releases of BPS. I’m not sure how to proceed, as the plugin is great and I want to keep using it, but it’s becoming a hassle each time I wish to write an article.

    Any further advice? Am I the only other person who’s experienced this for the past two plugin updates?

    Thanks

    Plugin Author AITpro

    @aitpro

    Yes, Lucky you, you are the only person who is having this issue/problem. 😉

    Have you activated both root BulletProof Mode AND wp-admin BulletProof Mode?

    Now that HTTP / Security logging has been added you can check your Security Log for any errors. Please post any related errors from your Security Log. if you have a large number or errors or duplicate errors then please only post 1 or 2 of them or you can post the entire log file in Pastebin.

    Hi, thanks for replying.

    What I’ve done is select the two “Auto-Magic” buttons (on the left) followed by selecting the BulletProof Mode and Activating for the four options below.

    Doing that removes all the errors as expected. As soon as I try to post, I get the following error:

    The htaccess file that is activated in your root folder is:
    BULLETPROOF .47.8 >>>>>>> SECURE .HTACCESS 
    
    Either a BPS htaccess file was NOT found in your root folder or you have not activated BulletProof Mode for your Root folder yet, Default Mode is activated, Maintenance Mode is activated or the version of the BPS Pro htaccess file that you are using is not the most current version or the BPS QUERY STRING EXPLOITS code does not exist in your root htaccess file. Please view the Read Me Help button above.
    
    wp-config.php is NOT htaccess protected by BPS

    So I have to repeat the process to activate BPS again.

    Any ideas?

    Thanks

    Plugin Author AITpro

    @aitpro

    Ah ok the problem is either going to be the….

    cPanel Broken Hotlink Protection Tool problem >>> http://forum.ait-pro.com/forums/topic/read-me-first-free/#cpanel-hotlink-protection

    …or…

    WordPress flush_rewrite_rules problem >>> http://forum.ait-pro.com/forums/topic/read-me-first-free/#flush-rewrite-rules

    What is happening is something on your website (another plugin, cPanel) is wiping out/deleting the BPS .htaccess code.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘[Resolved] BPS Breaks when trying to post’ is closed to new replies.